﻿@model  CreateEditLocationViewModel

@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Location
            </h1>
        </div>
        <div class="actions">
            <!--<a ui-sref='ProgramDelete({seasonDomain: MC.stateParams.seasonDomain, programDomain: "Chess"})' class="action on-left-more margin-top10" data-toggle="tooltip" data-placement="bottom" title="Delete" jb-tooltip>
                    <i class="icon-remove fg-black"></i>
                </a>-->
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <div class="clearfix"></div>
    <div>
        <form class="no-margin" name="manageLocation" novalidate ng-submit="save()">
            <div ng-if="pageMode == 'add' || pageMode == 'edit'">
                <label>Location name</label>
                <div class="input-control text" data-role="input-control">
                    <input ng-model="@Html.Ang(model => model.Name)" name="Name" type="text" />
                </div>
                <label class="req-star">Address</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Address) >
                    <input ng-model="@Html.Ang(model => model.Address)" name="Address" ng-autocomplete="@Html.Ang(model => model.Address)" options="mapOptions" type="text" @Html.AngTooltipValidationFor(model => model.Address)/>
                </div>
            </div>
            <div ng-if="pageMode == 'delete'">
            </div>
            <hr />
            <button class="link place-left button large" type="button" onclick="window.history.back()">back</button>
            <button class="success place-right button large" type="submit">Save & continue</button>
            <div class="clearfix"></div>
        </form>
    </div>
</div>


